<?php

if(file_exists(dirname(__FILE__) . "/divlayereditorpar-functions.php")) 
    include dirname(__FILE__) . "/divlayereditorpar-functions.php";

$isUnderChildGroup = file_exists(dirname(__FILE__) . "/divlayereditorpar-style.css");

$currUrl  = (@$_SERVER["HTTPS"] == "on") ? "https://" : "http://";
$currUrl .= $_SERVER["SERVER_NAME"];
if($_SERVER["SERVER_PORT"] != "80") $currUrl .=  ":".$_SERVER["SERVER_PORT"];
$currUrl .= $_SERVER["REQUEST_URI"];

$adminBaseUrl = admin_url();
$adminBaseUrl =  substr($adminBaseUrl, 0, strlen($adminBaseUrl) - 1);

if(strpos($currUrl, $adminBaseUrl) !== 0) // not admin page
{
    $styleJs = get_stylesheet_directory_uri().'/js/div-layer-editor-style.js';
    wp_enqueue_script('divle_css', $styleJs, array('jquery'));
}

if(!$isUnderChildGroup)
{
	add_filter('stylesheet_directory_uri', 'divle_stylesheetDirUriFilter');
	add_filter('stylesheet_directory',     'divle_stylesheetDirFilter');
}

function divle_stylesheetDirUriFilter()
{
    return get_template_directory_uri();
}

function divle_stylesheetDirFilter()
{
    return get_template_directory();
}

?>